import { getData } from '../utils/DataTemplate';

export default {
  namespace: 'HouseDetail',
  state: {
    sourceData: {},
  },
  reducers: {
    setList(state, { payload: { singularData } }) {
      return { ...state, singularData };
    },
  },
  effects: {
    *getHouseDetail({ payload }, { call }) {
      const coordinate = {
        containerType: 'module',
        containerName: 'query-DSRFWInfo',
        datasourceName: 'QueryfwDetails',
      };
      console.info(payload);
      const result = yield call(getData, coordinate, { pst: 0, psz: 10, params: { pID: 14 } });
      console.info(result);
    },
  },
};
